WordPress.org

Ready to get started?Download WordPress

Forums

Dynamic Widgets
[resolved] js problems when configuring a widget (12 posts)

  1. Ovidiu
    Member
    Posted 3 years ago #

    :-( figured it out: seems to have been an imcompatibility with another plugin, which I consider essential. Would you mind checking if you can make it work?

    Use Google Libraries available here http://wordpress.org/extend/plugins/use-google-libraries/

    thanks.

    http://wordpress.org/extend/plugins/dynamic-widgets/

  2. Qurl
    Member
    Plugin Author

    Posted 3 years ago #

    If I understand correctly, you are using WP 3.1 RC-5. Which version of Dynamic Widgets are you using?

    Since WP 3.1 the jQuery library has been upgraded which implied an upgrade of the base jQuery UI library also. Result was I have to upgrade my JS scripts also. So, when WP 3.1 is officially released, a new version of Dynamic Widgets will be released also. Until then there is already more or less support for WP 3.1 in the development version of Dynamic Widgets. Trouble is, you won't see it because WP 3.1 is in RC. Result for that is a JS error in the edit widgets page not able to use the accordion. When WP 3.1 is released and installed AND the current development version of Dynamic Widgets is also installed, the accordion starts working correctly.

    I haven't looked to this Google CDN plugin. Not sure if the plugin takes the jQuery upgrade for WP 3.1 into account. When the plugin does not take versions of jQuery / jQuery UI into account by the version used for WP, I think this should be fixed by the Google CDN plugin author.

  3. Ovidiu
    Member
    Posted 3 years ago #

    had to use 3.1 RC as a needed plugin asked for it.
    no problem will wait till 3.1 is officially released and your plugin compatible with it, will then try again.

  4. Jason Penney
    Member
    Posted 3 years ago #

    Use Google Libraries obtains the version numbers from WordPress core, so the versions it loads from Google are the ones WordPress would normally load locally based on the version of WordPress you are using.

  5. Qurl
    Member
    Plugin Author

    Posted 3 years ago #

    It's just the accordion which is not working. Your settings are saved for Dynamic Widgets and also followed and executed within the WordPress frontend.

  6. Ovidiu
    Member
    Posted 3 years ago #

    well, if the accordeon doesn't work, I can't reach al of the settings. so I disabled the Google Libraries one, set up your plugin then enabled the other one again...

  7. Qurl
    Member
    Plugin Author

    Posted 3 years ago #

    ehrr... you mean you hit into a freeze of the accordion? cause then something else is going on. I've seen this happen with a JS coming from BuddyPress not limiting to it's own pages.

  8. Ovidiu
    Member
    Posted 3 years ago #

    sorry, forgot to mention that. see here: http://screencast.com/t/cL3Cx0gC

    should have given a more detailed explanation.

  9. Qurl
    Member
    Plugin Author

    Posted 3 years ago #

    OK, I've tested the accordion in combination with the Google CDN plugin on WP 3.1 RC5 and it's working. I'm a bit afraid it's another plugin in combination with the Google CDN plugin which is causing the trouble with the accordion.

    Looking into the source, the only JS which are replaced by the Google CDN plugin is the base jQuery library and the jQuery UI library. All other JS libs are coming from the WP or Dynamic Widgets install. I do see an error in the JS code popping up, but it seems not to be a problem for the accordion.

    Which version of Dynamic Widgets are you using?

  10. Qurl
    Member
    Plugin Author

    Posted 3 years ago #

    UPDATE: I missed a few things.
    1. You are using Dynamic Widgets 1.3.7.9 according to the screendump.
    2. I had the version number of WP changed to "3.1" because of another problem I had with Dynamic Widgets. I added the "-RC5" back in and boom! a completely frozen accordion.

    So, it has actually something to do with the version number. Not sure (yet) which one of the plugings (Google CDN or Dynamic Widgets) is causing that problem.

  11. Qurl
    Member
    Plugin Author

    Posted 3 years ago #

    Final update: It is Dynamic Widgets which is causing the problem. It's actually including the wrong JS code. I've changed that now in development version 1.3.7.10 making sure it's including the correct JS code for WordPress 3.1-RC5.

  12. Ovidiu
    Member
    Posted 3 years ago #

    Wow!
    Fixed. Thanks for taking it seriously and fixing this.
    Works perfectly now.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic